package com.czg.account.service;

import com.czg.account.dto.msg.ShopMsgEditDTO;
import com.czg.account.entity.ShopMsgState;
import com.czg.account.param.ShopPushConfigParam;
import com.mybatisflex.core.service.IService;

import java.util.HashMap;

/**
 * 店铺消息推送设置 服务层。
 *
 * @author zs
 * @since 2025-03-07
 */
public interface ShopMsgStateService extends IService<ShopMsgState> {

    HashMap<String, Object> getState(Long shopId);

    Boolean edit(Long shopId, ShopMsgEditDTO shopMsgEditDTO);

    String getCode(Long shopId) throws Exception;
    void modifyConfig(ShopPushConfigParam param);
}
